# List Image Prewarm Tasks - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpus-v2-list-image-prewarm

# List Image Prewarm Tasks

GET

/

gpus

/

v2

/

prewarm-tasks

Try it

List Image Prewarm Tasks

cURL

```
curl --request GET \
--url https://api.novita.ai/gpus/v2/prewarm-tasks \
--header 'Authorization: &#x3C;authorization>'
```

```
import requestsurl = "https://api.novita.ai/gpus/v2/prewarm-tasks"headers = {"Authorization": "&#x3C;authorization>"}response = requests.get(url, headers=headers)print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: '&#x3C;authorization>'}};fetch('https://api.novita.ai/gpus/v2/prewarm-tasks', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpus/v2/prewarm-tasks", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpus/v2/prewarm-tasks"	req, _ := http.NewRequest("GET", url, nil)	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.get("https://api.novita.ai/gpus/v2/prewarm-tasks") .header("Authorization", "&#x3C;authorization>") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpus/v2/prewarm-tasks")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)request["Authorization"] = '&#x3C;authorization>'response = http.request(request)puts response.read_body
```

200

```
{
"data": [
{
"task_id": "prewarm-task-id",
"name": "image:tag",
"image": "registry.example.com/team/image:tag",
"region_id": "region-a",
"product_ids": [
"product-a"
],
"image_size": 10737418240,
"created_at": 1714982400,
"completed_at": 0,
"status": {
"status": "running",
"error": "",
"message": ""
},
"registry_auth_id": "registry-auth-id",
"note": "",
"reason": [
""
]
}
],
"next_cursor": "eyJpZCI6Im5leHQtcGFnZSJ9",
"has_more": true
}
```

#### Headers

[​](#parameter-authorization)

Authorization

string

required

Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.

#### Query Parameters

[​](#parameter-limit)

limit

integer

Maximum number of items to return. Integer, value >= 0.

[​](#parameter-cursor)

cursor

string

Cursor returned by the previous page. Leave empty for the first request. String, length: 0-1024 characters.

[​](#parameter-status)

status

enum<string>

Filter by task status. Allowed values: `pending`, `running`, `succeeded`, `failed`. Use an empty string to skip filtering.

Available options:

`pending`,

`running`,

`succeeded`,

`failed`

[​](#parameter-region-id)

region_id

string

Filter by region ID. String, length: 0-255 characters.

[​](#parameter-name)

name

string

Fuzzy search by image name or note. String, length: 0-255 characters.

#### Response

200 - application/json

OK

[​](#response-data)

data

object[]

Image prewarm task list

Show child attributes

[​](#response-next-cursor)

next_cursor

string

Cursor for the next page. Empty string when there is no more data

Example:

`"eyJpZCI6Im5leHQtcGFnZSJ9"`

[​](#response-has-more)

has_more

boolean

Whether more data is available

Example:

`true`

Last modified on June 23, 2026
